Well, my GPU is old and has almost no performance on 300+ drivers. So I need to have 295.xx

I could not find working .deb of them for 12.10. Sure - some random packages hosted at some weird places, but no official PPA. Using .run drivers gave me problems, dunno why.

I guess I will have to wait for 12.04.2 to get this bug fixed https://bugs.launchpad.net/ubuntu/+s...ux/+bug/610440